commit: 921eb8088ed5951ced78ccc79552b36278837f1e
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 2 05:38:37 2017 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jul 2 05:41:41 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=921eb808
dev-ruby/sprockets-rails: ruby24
Package-Manager: Portage-2.3.6, Repoman-2.3.1
.../sprockets-rails-3.2.0-r1.ebuild | 38 ++++++++++++++++++++++
1 file changed, 38 insertions(+)
diff --git a/dev-ruby/sprockets-rails/sprockets-rails-3.2.0-r1.ebuild
b/dev-ruby/sprockets-rails/sprockets-rails-3.2.0-r1.ebuild
new file mode 100644
index 00000000000..27ccf55fb71
--- /dev/null
+++ b/dev-ruby/sprockets-rails/sprockets-rails-3.2.0-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Sprockets implementation for Rails 4.x (and beyond) Asset
Pipeline"
+HOMEPAGE="https://github.com/rails/sprockets-rails"
+SRC_URI="https://github.com/rails/sprockets-rails/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1)"
+KEYWORDS="~amd64 ~arm ~amd64-linux"
+
+IUSE="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/actionpack-4.0:*
+ >=dev-ruby/activesupport-4.0:*
+ dev-ruby/sprockets:3"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/actionpack-4
+ >=dev-ruby/railties-4
+ dev-ruby/test-unit:2
+ )"
+
+all_ruby_prepare() {
+ # Help load correct rack version consistently
+ sed -i -e "3irequire 'action_controller'" test/test_helper.rb || die
+}